syntax error at assinments of command

08/11/2016 09:32 AM - nobu (Nobuyoshi Nakada)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v:  Backport: 2.1: UNKNOWN, 2.2: UNKNOWN, 2.3:

UNKNOWN

Description

Related to #12402, I found other kind inconsistencies.

simple assignment and op assign of command cause syntax error,

while simple assignments don't.

$ ruby -ce 'a = b = raise "x"'

Syntax OK

 
$ ruby -ce 'a = b += raise "x"'

-e:1: syntax error, unexpected tSTRING_BEG, expecting keyword_do or '{' or '('

a = b += raise "x"

                ^

 
$ ruby -ce 'a += b = raise "x"'

-e:1: syntax error, unexpected tSTRING_BEG, expecting keyword_do or '{' or '('

a += b = raise "x"

                ^

 
$ ruby -ce 'a += b += raise "x"'

-e:1: syntax error, unexpected tSTRING_BEG, expecting keyword_do or '{' or '('

a += b += raise "x"

                 ^

 https://github.com/ruby/ruby/compare/trunk...nobu:chained-rhs

Associated revisions

Revision 90d9255ec24b84a1a9f975f2628530f0ed80636d - 08/13/2016 02:10 AM - nobu (Nobuyoshi Nakada)

parse.y: chained assignments

parse.y (command_asgn, arg): fix syntax errors with chained

assignment with op assign.  [Bug #12669]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@55888 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 90d9255e - 08/13/2016 02:10 AM - nobu (Nobuyoshi Nakada)

parse.y: chained assignments

parse.y (command_asgn, arg): fix syntax errors with chained

assignment with op assign.  [Bug #12669]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@55888 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 08/11/2016 09:34 AM - nobu (Nobuyoshi Nakada)

- Description updated

#2 - 08/13/2016 02:10 AM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Closed
Applied in changeset r55888.

parse.y: chained assignments

parse.y (command_asgn, arg): fix syntax errors with chained

assignment with op assign.  [Bug #12669]

#3 - 10/07/2016 10:08 AM - whitequark (whitequark *)

Will this change be backported?
